[MSCE 10.16.03.11 C#] Subsequent change of the text justification without moving the text

Hi,
Is there a possibility in C# to set a different justification (e.g. from Left Buttom to Center Center) for an already placed text without moving the text?

With the following code, the text is unfortunately moved.

using BD = Bentley.DgnPlatformNET;
using BDE = Bentley.DgnPlatformNET.Elements;
using BG = Bentley.GeometryNET;
using BIM = Bentley.Interop.MicroStationDGN;
using BM = Bentley.MstnPlatformNET;
using BMI = Bentley.MstnPlatformNET.InteropServices;

...

// element is a BDE-Element

...

BIM.Element elementBim = BMI.Utilities.ComApp.ActiveModelReference.GetElementByID(element.ElementId);

if (elementBim.IsTextElement())
{
    // Change the Justification from Left Buttom to Center Center
    elementBim.AsTextElement().TextStyle.Justification = BIM.MsdTextJustification.CenterCenter;
    elementBim.Rewrite();
}

...

Before:

After:

I am afraid that I think this is too simple.

Regards,
Frank